//MVTSETUP JOB CLASS=A,MSGLEVEL=(1,1)
//*
//*********************************************************************
//*                                                                 ***
//*    Job:      MVTSETUP                                           ***
//*    Product:  OS/360 MVT.                                        ***
//*    Purpose:  Final setup for the freshly generated MVT system.  ***
//*              Increase default region sizes for the reader and   ***
//*              writer procs. Change default options for the       ***
//*              reader. Install a PRESRES member to make system    ***
//*              volumes permanently resident. Catalog the target   ***
//*              system's datasets in the target catalog.           ***
//*    Step:     8.1                                                ***
//*    Update:   2003/02/08                                         ***
//*                                                                 ***
//*********************************************************************
//*
//FIXRDR   EXEC PGM=IEBUPDTE
//SYSPRINT DD  SYSOUT=A
//SYSUT1   DD  DISP=SHR,DSN=SYS1.PROCLIB,UNIT=3330,VOL=SER=MVTRES
//SYSUT2   DD  DISP=SHR,DSN=SYS1.PROCLIB,UNIT=3330,VOL=SER=MVTRES
//SYSIN    DD  DATA
./ CHANGE NAME=RDR,LIST=ALL
//             REGION=64K,                     READER BASIC REGION     ,06000017
//       PARM='80103005001024912810SYSDA   E00001A'  DEFAULT OPTIONS   ,08000019
./ ENDUP
/*
//*
//FIXWTR   EXEC PGM=IEBUPDTE
//SYSPRINT DD  SYSOUT=A
//SYSUT1   DD  DISP=SHR,DSN=SYS1.PROCLIB,UNIT=3330,VOL=SER=MVTRES
//SYSUT2   DD  DISP=SHR,DSN=SYS1.PROCLIB,UNIT=3330,VOL=SER=MVTRES
//SYSIN    DD  DATA
./ CHANGE NAME=WTR,LIST=ALL
//IEFPROC  EXEC  PGM=IEFSD080,PARM='PA',REGION=64K,ROLL=(NO,NO)         10000020
./ ENDUP
/*
//*
//PRESRES  EXEC PGM=IEBUPDTE
//SYSPRINT DD  SYSOUT=A
//SYSABEND DD  SYSOUT=A
//SYSUT1   DD  DISP=SHR,DSN=SYS1.PARMLIB,UNIT=3330,VOL=SER=MVTRES
//SYSUT2   DD  DISP=SHR,DSN=SYS1.PARMLIB,UNIT=3330,VOL=SER=MVTRES
//SYSIN    DD  DATA
./ ADD NAME=PRESRES
MVTRES,0,2,3330,N
DLIB01,1,2,3330,N
SYSRES,1,0,3330,N
WORK01,1,1,3330,N
WORK02,1,1,3330,N
HERC01,1,2,3330,N
SPOOL1,1,2,3330,N
./ ENDUP
/*
//*
//SMFDEFLT EXEC PGM=IEBUPDTE
//SYSPRINT DD  SYSOUT=A
//SYSABEND DD  SYSOUT=A
//SYSUT1   DD  DISP=SHR,DSN=SYS1.PARMLIB,UNIT=3330,VOL=SER=MVTRES
//SYSUT2   DD  DISP=SHR,DSN=SYS1.PARMLIB,UNIT=3330,VOL=SER=MVTRES
//SYSIN    DD  DATA
./ CHANGE NAME=SMFDEFLT,LIST=ALL
         EXT=NO,    DON'T TAKE USER EXITS                               18000018
         JWT=999,   MAX WAIT TIME IS 999 MINUTES                        27000018
         SID=MV,    SYSTEM ID IS MV                                     45000018
         MDL=T1,    MODEL IS T1 - TOGETHER, SMFSID=MVT1                 54000018
         OPI=NO,    DON'T PERMIT OPERATOR INTERVENTION                  63000018
         MAN=NONE,  DON'T ACTIVATE SMF RECORDING                        72000018
./ ENDUP
/*
//*
//CTLGMVT  EXEC PGM=IEHPROGM
//MVTRES   DD UNIT=3330,VOLUME=SER=MVTRES,DISP=OLD
//SYSPRINT DD SYSOUT=A
//SYSIN DD *
  CATLG DSNAME=SYS1.NUCLEUS,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.SVCLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.LINKLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.PARMLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.CMDLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.PROCLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.COBLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.FORTLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.SORTLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.PL1LIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.TELCMLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.ALGLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.IMAGELIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.DCMLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.HELP,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.UADS,VOL=3330=MVTRES,CVOL=3330=MVTRES
  CATLG DSNAME=SYS1.MACLIB,VOL=3330=MVTRES,CVOL=3330=MVTRES
/*
//SCRTCHUT EXEC PGM=IEFBR14
//SYSUT1   DD  DISP=(OLD,DELETE),DSN=SYS1.SYSUT1
//SYSUT2   DD  DISP=(OLD,DELETE),DSN=SYS1.SYSUT2
//SYSUT3   DD  DISP=(OLD,DELETE),DSN=SYS1.SYSUT3
//SYSUT4   DD  DISP=(OLD,DELETE),DSN=SYS1.SYSUT4
//
